package cn.iocoder.yudao.module.portal.controller.admin.city.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 城市新增/修改 Request VO")
@Data
public class CitySaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7162")
    private Long id;

    @Schema(description = "城市名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "芋艿")
    @NotEmpty(message = "城市名称不能为空")
    private String name;

    @Schema(description = "城市编码", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "城市编码不能为空")
    private String code;

}