package cn.iocoder.yudao.module.portal.controller.admin.jobcategory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 职位类别新增/修改 Request VO")
@Data
public class JobCategorySaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "12274")
    private Long id;

    @Schema(description = "类别名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @NotEmpty(message = "类别名称不能为空")
    private String name;

    @Schema(description = "父类别ID", example = "8012")
    private Long parentId;

}