package cn.iocoder.yudao.module.portal.controller.admin.jobpost.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 职位分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class JobPostPageReqVO extends PageParam {

    @Schema(description = "职位标题")
    private String title;

    @Schema(description = "职位描述", example = "随便")
    private String description;

    @Schema(description = "职位要求")
    private String requirement;

    @Schema(description = "城市ID", example = "12580")
    private Long cityId;

    @Schema(description = "职位类别ID", example = "7839")
    private Long jobCategoryId;

    @Schema(description = "发布时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] publishTime;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}