package cn.iocoder.yudao.module.portal.controller.admin.jobpost.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 职位 Response VO")
@Data
@ExcelIgnoreUnannotated
public class JobPostRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15137")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "职位标题", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("职位标题")
    private String title;

    @Schema(description = "职位描述", example = "随便")
    @ExcelProperty("职位描述")
    private String description;

    @Schema(description = "职位要求")
    @ExcelProperty("职位要求")
    private String requirement;

    @Schema(description = "城市ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "12580")
    @ExcelProperty("城市ID")
    private Long cityId;

    @Schema(description = "职位类别ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7839")
    @ExcelProperty("职位类别ID")
    private Long jobCategoryId;

    @Schema(description = "发布时间")
    @ExcelProperty("发布时间")
    private LocalDateTime publishTime;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}