package cn.iocoder.yudao.module.portal.controller.admin.jobpost.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 职位新增/修改 Request VO")
@Data
public class JobPostSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15137")
    private Long id;

    @Schema(description = "职位标题", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "职位标题不能为空")
    private String title;

    @Schema(description = "职位描述", example = "随便")
    private String description;

    @Schema(description = "职位要求")
    private String requirement;

    @Schema(description = "城市ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "12580")
    @NotNull(message = "城市ID不能为空")
    private Long cityId;

    @Schema(description = "职位类别ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7839")
    @NotNull(message = "职位类别ID不能为空")
    private Long jobCategoryId;

    @Schema(description = "发布时间")
    private LocalDateTime publishTime;

}