package cn.iocoder.yudao.module.portal.controller.admin.news.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 新闻 Response VO")
@Data
@ExcelIgnoreUnannotated
public class NewsRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7907")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "新闻标题", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("新闻标题")
    private String newsTitle;

    @Schema(description = "新闻描述")
    @ExcelProperty("新闻描述")
    private String newsDesc;

    @Schema(description = "新闻内容", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("新闻内容")
    private String newsContent;

    @Schema(description = "新闻路径", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("新闻路径")
    private String newsPath;

    @Schema(description = "封面图片")
    @ExcelProperty("封面图片")
    private String coverImg;

    @Schema(description = "新闻类型ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23155")
    @ExcelProperty("新闻类型ID")
    private Long newsTypeId;

    @Schema(description = "发布时间")
    @ExcelProperty("发布时间")
    private LocalDateTime publishTime;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}