package cn.iocoder.yudao.module.portal.controller.admin.news.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 新闻新增/修改 Request VO")
@Data
public class NewsSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7907")
    private Long id;

    @Schema(description = "新闻标题", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "新闻标题不能为空")
    private String newsTitle;

    @Schema(description = "新闻描述")
    private String newsDesc;

    @Schema(description = "新闻内容", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "新闻内容不能为空")
    private String newsContent;

    @Schema(description = "新闻路径", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "新闻路径不能为空")
    private String newsPath;

    @Schema(description = "封面图片")
    private String coverImg;

    @Schema(description = "新闻类型ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23155")
    @NotNull(message = "新闻类型ID不能为空")
    private Long newsTypeId;

    @Schema(description = "发布时间")
    private LocalDateTime publishTime;

}