package cn.iocoder.yudao.module.portal.dal.dataobject.jobpost;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 职位 DO
 *
 * @author 篮智科技
 */
@TableName("portal_job_post")
@KeySequence("portal_job_post_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class JobPostDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 职位标题
     */
    private String title;
    /**
     * 职位描述
     */
    private String description;
    /**
     * 职位要求
     */
    private String requirement;
    /**
     * 城市ID
     */
    private Long cityId;
    /**
     * 职位类别ID
     */
    private Long jobCategoryId;
    /**
     * 发布时间
     */
    private LocalDateTime publishTime;

}