package cn.iocoder.yudao.module.portal.dal.dataobject.news;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 新闻 DO
 *
 * @author 篮智科技
 */
@TableName("portal_news")
@KeySequence("portal_news_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class NewsDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 新闻标题
     */
    private String newsTitle;
    /**
     * 新闻描述
     */
    private String newsDesc;
    /**
     * 新闻内容
     */
    private String newsContent;
    /**
     * 新闻路径
     */
    private String newsPath;
    /**
     * 封面图片
     */
    private String coverImg;
    /**
     * 新闻类型ID
     */
    private Long newsTypeId;
    /**
     * 发布时间
     */
    private LocalDateTime publishTime;

}