package cn.iocoder.yudao.module.portal.service.city;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.portal.controller.admin.city.vo.*;
import cn.iocoder.yudao.module.portal.dal.dataobject.city.CityDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 城市 Service 接口
 *
 * @author 篮智科技
 */
public interface CityService {

    /**
     * 创建城市
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCity(@Valid CitySaveReqVO createReqVO);

    /**
     * 更新城市
     *
     * @param updateReqVO 更新信息
     */
    void updateCity(@Valid CitySaveReqVO updateReqVO);

    /**
     * 删除城市
     *
     * @param id 编号
     */
    void deleteCity(Long id);

    /**
     * 获得城市
     *
     * @param id 编号
     * @return 城市
     */
    CityDO getCity(Long id);

    /**
     * 获得城市分页
     *
     * @param pageReqVO 分页查询
     * @return 城市分页
     */
    PageResult<CityDO> getCityPage(CityPageReqVO pageReqVO);

}