package cn.iocoder.yudao.module.portal.service.jobcategory;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.portal.controller.admin.jobcategory.vo.*;
import cn.iocoder.yudao.module.portal.dal.dataobject.jobcategory.JobCategoryDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 职位类别 Service 接口
 *
 * @author 篮智科技
 */
public interface JobCategoryService {

    /**
     * 创建职位类别
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createJobCategory(@Valid JobCategorySaveReqVO createReqVO);

    /**
     * 更新职位类别
     *
     * @param updateReqVO 更新信息
     */
    void updateJobCategory(@Valid JobCategorySaveReqVO updateReqVO);

    /**
     * 删除职位类别
     *
     * @param id 编号
     */
    void deleteJobCategory(Long id);

    /**
     * 获得职位类别
     *
     * @param id 编号
     * @return 职位类别
     */
    JobCategoryDO getJobCategory(Long id);

    /**
     * 获得职位类别分页
     *
     * @param pageReqVO 分页查询
     * @return 职位类别分页
     */
    PageResult<JobCategoryDO> getJobCategoryPage(JobCategoryPageReqVO pageReqVO);

}