package cn.iocoder.yudao.module.portal.service.jobpost;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.portal.controller.admin.jobpost.vo.*;
import cn.iocoder.yudao.module.portal.dal.dataobject.jobpost.JobPostDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 职位 Service 接口
 *
 * @author 篮智科技
 */
public interface JobPostService {

    /**
     * 创建职位
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createJobPost(@Valid JobPostSaveReqVO createReqVO);

    /**
     * 更新职位
     *
     * @param updateReqVO 更新信息
     */
    void updateJobPost(@Valid JobPostSaveReqVO updateReqVO);

    /**
     * 删除职位
     *
     * @param id 编号
     */
    void deleteJobPost(Long id);

    /**
     * 获得职位
     *
     * @param id 编号
     * @return 职位
     */
    JobPostDO getJobPost(Long id);

    /**
     * 获得职位分页
     *
     * @param pageReqVO 分页查询
     * @return 职位分页
     */
    PageResult<JobPostDO> getJobPostPage(JobPostPageReqVO pageReqVO);

}