package cn.iocoder.yudao.module.portal.service.user;

import javax.validation.*;
import cn.iocoder.yudao.module.portal.controller.admin.portaluser.vo.*;
import cn.iocoder.yudao.module.portal.dal.dataobject.portaluser.PortalUserDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 用户 Service 接口
 *
 * @author 篮智科技
 */
public interface PortalUserService {

    /**
     * 创建用户
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUser(@Valid PortalUserSaveReqVO createReqVO);

    /**
     * 更新用户
     *
     * @param updateReqVO 更新信息
     */
    void updateUser(@Valid PortalUserSaveReqVO updateReqVO);

    /**
     * 删除用户
     *
     * @param id 编号
     */
    void deleteUser(Long id);

    /**
     * 获得用户
     *
     * @param id 编号
     * @return 用户
     */
    PortalUserDO getUser(Long id);

    /**
     * 获得用户分页
     *
     * @param pageReqVO 分页查询
     * @return 用户分页
     */
    PageResult<PortalUserDO> getUserPage(PortalUserPageReqVO pageReqVO);

}